PROE-G
1
BRL-CAD
BRL-CAD
User Commands

# proe-g

Pro/Engineer Translator (Pro/Engineer to BRL-CAD)

      proe-g
        -darS
        -i initial_ident
        -I constant_ident
        -m material_code
        -u reg_exp
        -x RT_DEBUG_FLAG
        file.brl
        file.g

## DESCRIPTION

proe-g converts the specified file.brl to a BRL-CAD file.g file. The `-d` option prints debugging information. The `-a` option implies that all the parts in the Pro/E model should be converted to BRL-CAD air regions. The `-i` option sets the starting ident number for the regions created. As each new region is created, this number will be incremented before assigning the next ident number (conflicts with `-I` ). The `-I` option sets a constant ident number that will be assigned to all the regions created (conflicts with `-i` ). The `-m` option sets a material code that will be assigned to all the regions created (default is 1). The `-r` flag indicates that the model should not be rotated, translated, or scaled, but left in the same orientation and size as it was created in Pro/E. This allows the user to convert parts that are referenced by previously converted assemblies, so that the transformation matrix in the referencing assembly will size and position the part. The `-x` option sets an RT debug flags (see raytrace.h). The file.brl file is expected to be output from the BRL-CAD menu option of the Pro/Engineer EXPORT menu. This menu option is a Pro/Develop application produced by the USARL.

Note that the routine documented here is obsolete, and only maintained for compatibility with older versions of Pro/Engineer. The current method of converting from Pro/Engineer to BRL-CAD is still a two step process, but a newer Pro/Toolkit application must be installed (see “install.doc” in the “pro-engineer” directory of the BRL-CAD distribution). From within Pro/Engineer, the “proe-brl” option must be selected from the “File” menu, and the user will be prompted for an output file name, a starting ident number, a maximum tessellation error, and an additional curvature correction. The output from this new routine, is a Tcl script that may be converted to a BRL-CAD model using “asc2g” or by sourcing the file during an MGED session.

## EXAMPLE

    $ proe-g sample.brl sample.g

## SEE ALSO

Pro/Engineer Modeling User's Guide, Version 13.0, Parametric Technology Corporation

## DIAGNOSTICS

Error messages are intended to be self-explanatory.

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 1994-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.